---------------------------
-----ANNOUNCE DROPDOWN-----
---------------------------
function Announce_Type_OnLoad(self)
	--local parent = lwgspotframe:GetName()
	local items = { "Raid", "Party", "Yell", "Say", "Whisper Target" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = onClick_Announce
			--function info.func(button, arg1)
				--UIDropDownMenu_SetSelectedValue(Announce_Type, arg1);
			--end
			--info.arg1 = v
			UIDropDownMenu_AddButton(info)
		end
end

function onClick_Announce(self)
	UIDropDownMenu_SetSelectedID(Announce_Type, self:GetID())
end
---------------------------
---END ANNOUNCE DROPDOWN---
---------------------------



---------------------------
------LOCALE DROPDOWN------
---------------------------
function Choose_Locale_OnLoad(self)
	local items = { "enUS", "frFR", "deDE", "ruRU" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = Choose_Locale_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function Choose_Locale_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_Locale, self:GetID())
	StaticPopupDialogs["LWG_CONFIRM1"] = {
		text = "The Locale you choose will not take effect until you restart UI. Restart UI now?",
		button1 = "Reload UI",
		button2 = "No, I'll do that later",
		OnAccept = function()
			ReloadUI();
		end,
		timeout = 0,
		whileDead = true,
		hideOnEscape = true,
	}
	StaticPopup_Show("LWG_CONFIRM1")
end
---------------------------
----END LOCALE DROPDOWN----
---------------------------


---------------------------
----W IMPROPER DROPDOWN----
---------------------------
--TRUE/FALSE
function w_improper_OnLoad(self)
	local items = { "True", "False" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = w_improper_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function w_improper_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_w_improper, self:GetID())
end


--CHANNEL
function w_improper_channel_OnLoad(self)
	local items = { "Whisper" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = w_improper_channel_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function w_improper_channel_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_w_improper_channel, self:GetID())
end
---------------------------
--END W IMPROPER DROPDOWN--
---------------------------




---------------------------
-----IMPROPER DROPDOWN-----
---------------------------
--TRUE/FALSE
function improper_OnLoad(self)
	local items = { "True", "False" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = improper_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function improper_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_improper, self:GetID())
end


--CHANNEL
function improper_channel_OnLoad(self)
	local items = { "Default", "Raid", "Party", "Yell", "Say", "Whisper", "Self" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = improper_channel_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function improper_channel_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_improper_channel, self:GetID())
end
---------------------------
---END IMPROPER DROPDOWN---
---------------------------




----------------------------
------USED LW DROPDOWN------
----------------------------
--TRUE/FALSE
function used_OnLoad(self)
	local items = { "True", "False" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = used_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function used_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_used, self:GetID())
end


--CHANNEL
function used_channel_OnLoad(self)
	local items = { "Default", "Raid", "Party", "Yell", "Say", "Whisper", "Self" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = used_channel_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function used_channel_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_used_channel, self:GetID())
end
----------------------------
----END USED LW DROPDOWN----
----------------------------





------------------------------
------PLACED LW DROPDOWN------
------------------------------
--TRUE/FALSE
function placed_OnLoad(self)
	local items = { "True", "False" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = placed_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function placed_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_placed, self:GetID())
end


--CHANNEL
function placed_channel_OnLoad(self)
	local items = { "Default", "Raid", "Party", "Yell", "Say", "Self" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = placed_channel_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function placed_channel_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_placed_channel, self:GetID())
end
------------------------------
----END PLACED LW DROPDOWN----
------------------------------






-----------------------------
------FADED LW DROPDOWN------
-----------------------------
--TRUE/FALSE
function faded_OnLoad(self)
	local items = { "True", "False" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = faded_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function faded_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_faded, self:GetID())
end


--CHANNEL
function faded_channel_OnLoad(self)
	local items = { "Default", "Raid", "Party", "Yell", "Say", "Self" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = faded_channel_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function faded_channel_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_faded_channel, self:GetID())
end
-----------------------------
----END FADED LW DROPDOWN----
-----------------------------





------------------------------------
------GRAPHIC COUNTER DROPDOWN------
------------------------------------
--TRUE/FALSE
function showGraphicCounter_OnLoad(self)
	local items = { "True", "False" }
		for k,v in pairs(items) do
			info = UIDropDownMenu_CreateInfo()
			info.text = v
			info.value = v
			info.func = showGraphicCounter_OnClick
			UIDropDownMenu_AddButton(info)
		end
end

function showGraphicCounter_OnClick(self)
	UIDropDownMenu_SetSelectedID(lwgspot_config_showGraphicCounter, self:GetID())
end
------------------------------------
----END GRAPHIC COUNTER DROPDOWN----
------------------------------------